@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.millglove-slider-section {
  min-height: 100vh;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  position: relative;
  background: $cream-40;

  @include mobile {
    display: none;
  }

  @include tablet-p {
    display: none;
  }

  .slide-sec {
    padding: 0 80px;
    height: 100vh;
    display: flex;
    align-items: center;
    background: $cream-40;
  }

  .title1 {
    font-size: 75px;

    @include heading-font;
  }

  .slides {
    .bg-style {
      position: absolute;
      bottom: 0;
      left: 0;
      right: 0;
      width: 100%;
      height: 350px;
      margin: auto;
    }
  }
  .slide5 {
    position: sticky;
  }

  .homeCarousel-circle-container {
    position: sticky;
    z-index: 3;
    top: 0;
    height: 100vh;
    padding: 0 0.5rem;
    transform: translate(0 -50%);
    display: flex;
    flex-direction: column;
    justify-content: center;
    transform: unset;
    --webkit-transfor: unset;
    box-shadow: 2px 2px 2px 1px rgba(0, 0, 0, 0.1);

    & > * + * {
      margin-top: 1rem;
    }

    .homeCarousel-circle {
      width: 0.8rem;
      height: 0.8rem;
      border: 1px solid black;
      border-radius: 100%;
    }
  }

  .slider-body {
    display: flex;
    position: relative;
    z-index: 1;
    min-width: calc(100vw - 190px);
    & > * + * {
      margin-left: 60px;
    }
  }

  .img-box {
    width: 50%;
    height: 450px;
    position: relative;
    overflow: hidden;

    @include desktop-lg {
      height: 600px;
    }

    img {
      width: 100%;
      height: 100%;
      position: absolute;
      top: 0;
      left: 0;
      object-fit: cover;
    }
  }

  .carousel-text-div {
    width: 50%;
    text-align: left;
    top: -30px;

    @media (min-width: 1024px) and (max-width: 1050px) {
      width: 55%;
    }
  }

  .heading-sec {
    overflow: hidden;
    position: relative;
    display: flex;
    padding-top: 1rem;

    &::before {
      content: 'The';
      font-family: 'Notera';
      font-weight: 400;
      font-size: 63px;
      line-height: 120%;
      letter-spacing: 0.01em;
      color: #9c7e61;
      margin-right: 20px;
      margin-top: -20px;
    }
  }

  .mg-first-fold-header {
    margin-top: 34px;
    text-align: center;

    @include mobile {
      display: none;
    }
  }

  .mg-first-fold-top-text {
    position: absolute;
    top: 26px;
    right: 46px;
    z-index: 1;
    font-weight: 600;
    font-size: 14px;
    text-align: right;
    letter-spacing: 0.01em;
    text-transform: uppercase;
    color: white;

    @include tablet-p {
      display: none;
    }
    @include mobile {
      display: none;
    }

    a {
      margin-bottom: 8px;
      display: block;
      color: white;
      text-decoration: none;
    }
  }

  .carousel-heading {
    display: flex;
    align-items: flex-start;
    text-transform: uppercase;
    color: #262e2f;

    span {
      text-transform: capitalize;
    }
  }

  .carousel-subtext {
    padding-left: 100px;
    overflow: hidden;

    .description {
      font-size: 17px;
      color: rgba(38, 46, 47, 0.7);

      @include subheading-font;

      @media only screen and (min-width: 1025px) and (max-width: 1500px) {
        font-size: 15px !important;
      }
    }
  }

  .notera-text-style {
    font-family: 'Notera';
    font-weight: 400;
    font-size: 63px;
    line-height: 110%;
    letter-spacing: 0.01em;
    color: $brown-70;
    margin-right: 20px;
  }

  .philosophie {
    position: relative;

    .pin-spacer {
      height: 500vh !important;
    }
  }

  .vh {
    height: 20vh;
    background-color: transparent;
  }
}

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.discover-btn {
  position: relative;
  background: none;
  border: none;
  cursor: pointer;
  display: block;
  margin-left: 70%;
  margin-top: 100px;
  z-index: 1;

  &:hover {
    .img-style {
      animation: rotate 2s;
    }
  }
  .img-style-arrow {
    position: absolute;
    left: 38px;
    bottom: 37px;
  }
  @include tablet-p {
    display: none;
  }

  @include mobile {
    display: none;
  }
}

.discover-btn.webrotateMe {
  .img-style {
    animation: rotate 3s;
  }
}
